CARGO-YANK(1)

NAME

cargo-yank - Remove a pushed crate from the index

SYNOPSIS

cargo yank [OPTIONS] [<CRATE>]

DESCRIPTION

The yank command removes a previously pushed crate's version from the server's index. This command does not delete any data, and the crate will still be available for download via the registry's download link.

Note that existing crates locked to a yanked version will still be able to download the yanked version to use it. Cargo will, however, not allow any new crates to be locked to any yanked version.

OPTIONS

-h, --help
    Print this message.

--vers VERSION
    The version to yank or un-yank.

--undo
    Undo a yank, putting a version back into the index.

--index INDEX
    Registry index to yank from.

--token TOKEN
    API token to use when authenticating.

-v, --verbose
    Use verbose output.

-q, --quiet
    No output printed to stdout.

--color WHEN
    Coloring: auto, always, never.

SEE ALSO

cargo(1), cargo-owner(1), cargo-version(1)

COPYRIGHT

This work is dual-licensed under Apache 2.0 and MIT terms. See COPYRIGHT file in the cargo source distribution.